/*
 *  Copyright 2004-2006 Stefan Reuter
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
package org.asteriskjava.live;

/**
 * Empty implementation of the {@link org.asteriskjava.live.AsteriskServerListener}
 * interface. Use this class as a base class for your own listeners if you only want
 * to implement a subset of the methods in {@link org.asteriskjava.live.AsteriskServerListener}.  
 * 
 * @author srt
 * @version $Id: AbstractAsteriskServerListener.java 938 2007-12-31 03:23:38Z srt $
 * @since 0.3
 */
public abstract class AbstractAsteriskServerListener implements AsteriskServerListener
{
    public void onNewAsteriskChannel(AsteriskChannel channel)
    {

    }

    public void onNewMeetMeUser(MeetMeUser user)
    {

    }
}
